Name:          liboraprof
Version:       1.0.2
Release:       1
Summary:       Preload library to measure SQL statements in XENTIS
License:       BSD
URL:           https://bitbucket.org/mlegenovic/liboraprof
Source0:       %{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: zeromq-devel
BuildRequires: msgpack-devel

%description
When preloaded, this library overwrites the original sqlcxt function
from oracle client library and adds the measurement of all executed
sql statements.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_libdir}/liboraprof.so

%changelog
* Wed Aug 16 2023 Milivoje Legenovic <milivoje.legenovic@profidata.com> 1.0.2-1
- Set compiler mode to C 11 because C 17 requires cmake 3.21
  (milivoje.legenovic@profidata.com)

* Wed Aug 16 2023 Milivoje Legenovic <milivoje.legenovic@profidata.com> 1.0.1-1
- Documentation and required CMake version reduced to 3.20
  (milivoje.legenovic@profidata.com)

* Wed Jun 15 2022 Milivoje Legenovic <milivoje.legenovic@profidata.com> 1.0.0-1
- Initial version

